Bug 181766 - Gem directories picked wrongly
Summary: Gem directories picked wrongly
Status: RESOLVED FIXED
Alias: None
Product: ruby
Classification: Unclassified
Component: Platform (show other bugs)
Version: 6.x
Hardware: PC Mac OS X
: P3 normal (vote)
Assignee: Erno Mononen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-10 08:14 UTC by pupeno
Modified: 2010-03-29 13:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pupeno 2010-03-10 08:14:57 UTC
I recently added my rvm (ruby version manager) installed rubies as platform for NetBeans and it picked the directory of the gems wrongly. After fixing them it worked like a charm.

In the attached screenshot it is shown how NetBeans picks them automatically. Running gem environment shows what are the correct ones and setting NetBeans to it just works. It would be nice if it worked out of the box:

$ gem environment
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.6
  - RUBY VERSION: 1.9.1 (2010-01-10 patchlevel 378) [i386-darwin10.2.0]
  - INSTALLATION DIRECTORY: /Users/pupeno/.rvm/gems/ruby-1.9.1-p378
  - RUBY EXECUTABLE: /Users/pupeno/.rvm/rubies/ruby-1.9.1-p378/bin/ruby
  - EXECUTABLE DIRECTORY: /Users/pupeno/.rvm/gems/ruby-1.9.1-p378/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-darwin-10
  - GEM PATHS:
     - /Users/pupeno/.rvm/gems/ruby-1.9.1-p378
     - /Users/pupeno/.rvm/gems/ruby-1.9.1-p378%global
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
  - REMOTE SOURCES:
     - http://rubygems.org/
Comment 1 Erno Mononen 2010-03-29 13:44:19 UTC
This should be fixed now as part of #181844; please reopen if it is still not working for you - thanks!